ValidationContext Class Referenceabstract
Inheritance diagram for ValidationContext:

## Public Member Functions

Virtual destructor for derived classes
virtual | ~ValidationContext ()
| virtual destructor More...
The ValidationContext Interface
virtual RefHashTableOf< XMLRefInfo > * | getIdRefList () const =0
| IDRefList. More...
virtual void | setIdRefList (RefHashTableOf< XMLRefInfo > *const)=0
virtual void | clearIdRefList ()=0
virtual void | addId (const XMLCh *const)=0
virtual void | addIdRef (const XMLCh *const)=0
virtual void | toCheckIdRefList (bool)=0
virtual const NameIdPool< DTDEntityDecl > * | getEntityDeclPool () const =0
| EntityDeclPool. More...
virtual const NameIdPool< DTDEntityDecl > * | setEntityDeclPool (const NameIdPool< DTDEntityDecl > *const)=0
virtual void | checkEntity (const XMLCh *const) const =0
virtual DatatypeValidator * | getValidatingMemberType () const =0
| Union datatype handling. More...
virtual void | setValidatingMemberType (DatatypeValidator *validatingMemberType)=0
virtual bool | isPrefixUnknown (XMLCh *)
| QName datatype handling Create default implementations for source code compatibility. More...
virtual void | setElemStack (ElemStack *)
virtual const XMLCh * | getURIForPrefix (XMLCh *)
virtual void | setScanner (XMLScanner *)
virtual void | setNamespaceScope (NamespaceScope *)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Member Functions

| ValidationContext (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors. More...
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Protected Attributes

MemoryManager * | fMemoryManager

## Constructor & Destructor Documentation

## ~ValidationContext()

virtual ValidationContext::~ValidationContext | ( |  | ) |

virtual

virtual destructor

## ValidationContext()

ValidationContext::ValidationContext | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) |

protected

Hidden Constructors.

## Member Function Documentation

## addId()

virtual void ValidationContext::addId | ( | const XMLCh * | const | ) |

pure virtual

## addIdRef()

virtual void ValidationContext::addIdRef | ( | const XMLCh * | const | ) |

pure virtual

## checkEntity()

virtual void ValidationContext::checkEntity | ( | const XMLCh * | const | ) | const

pure virtual

## clearIdRefList()

virtual void ValidationContext::clearIdRefList | ( |  | ) |

pure virtual

## getEntityDeclPool()

virtual const NameIdPool<DTDEntityDecl>* ValidationContext::getEntityDeclPool | ( |  | ) | const

pure virtual

EntityDeclPool.

## getIdRefList()

virtual RefHashTableOf<XMLRefInfo>* ValidationContext::getIdRefList | ( |  | ) | const

pure virtual

IDRefList.

## getURIForPrefix()

virtual const XMLCh* ValidationContext::getURIForPrefix | ( | XMLCh * |  | ) |

virtual

## getValidatingMemberType()

virtual DatatypeValidator* ValidationContext::getValidatingMemberType | ( |  | ) | const

pure virtual

Union datatype handling.

## isPrefixUnknown()

virtual bool ValidationContext::isPrefixUnknown | ( | XMLCh * |  | ) |

virtual

QName datatype handling Create default implementations for source code compatibility.

## setElemStack()

virtual void ValidationContext::setElemStack | ( | ElemStack * |  | ) |

virtual

## setEntityDeclPool()

virtual const NameIdPool<DTDEntityDecl>* ValidationContext::setEntityDeclPool | ( | const NameIdPool< DTDEntityDecl > * | const | ) |

pure virtual

## setIdRefList()

virtual void ValidationContext::setIdRefList | ( | RefHashTableOf< XMLRefInfo > * | const | ) |

pure virtual

## setNamespaceScope()

virtual void ValidationContext::setNamespaceScope | ( | NamespaceScope * |  | ) |

virtual

## setScanner()

virtual void ValidationContext::setScanner | ( | XMLScanner * |  | ) |

virtual

## setValidatingMemberType()

virtual void ValidationContext::setValidatingMemberType | ( | DatatypeValidator * | validatingMemberType | ) |

pure virtual

## toCheckIdRefList()

virtual void ValidationContext::toCheckIdRefList | ( | bool |  | ) |

pure virtual

## Member Data Documentation

## fMemoryManager

MemoryManager* ValidationContext::fMemoryManager

protected

The documentation for this class was generated from the following file:

- ValidationContext.hpp